function [diagHessian] = HessianDiag
% evaluates the diagonal of the full Hessian. Assumes that Functions() has
% been called previously to calculate Fvector.
  
global fBasis;
global Fvector;
[sampsize nbeta] = size(fBasis);

% useful transformation of Fvector
Ftemp = Fvector./((1+Fvector).^2);
diagHessian(1:nbeta) = (1/sampsize) * fBasis' * Ftemp;
 
return;